SoTempPath(3)

NAME
SoTempPath - The SoTempPath class is used to store temporary paths.

SYNOPSIS

#include <Inventor/misc/SoTempPath.h>

Inherits SoFullPath.

  Public Member Functions
SoTempPath (const int approxlength)
void simpleAppend (SoNode *const node, const int index)
void replaceTail (SoNode *const node, const int index)

  Additional Inherited Members

Detailed Description

The SoTempPath class is used to store temporary paths. The path simply turns off auditing in the constructor, and leaves the user with the responsibility of keeping the path valid.

Constructor & Destructor Documentation

  SoTempPath::SoTempPath (const int approxlength)
Constructor.

Member Function Documentation

  void SoTempPath::simpleAppend (SoNode *const node, const int index)
Append a node (specified by node and parent child index) to the path. This method is only available in SoTempPath, since it will not consider auditing or hidden children.

  void SoTempPath::replaceTail (SoNode *const node, const int index)
Replace the tail of this path. The node is specified by node and parent child index. This method is only available in SoTempPath, since it will not consider auditing or hidden children.

Author

Generated automatically by Doxygen for Coin from the source code.